Subject: [tsvwg] Fwd: New Version Notification for draft-roca-tsvwg-fecframev2-02.txt

From: Vincent Roca <[email-masked]>
Date: Thu, 6 Oct 2016 15:41:39 +0200

Hello,

You'll find below an update of our I-D on FECFRAME version 2.
Main changes:
	- an Implementation Status Section (as recommended in RFC 7942);
	- an appendix explaining differences WRT RFC 6363;
	- some polishing here and there.

NB: I'm also CC'ing to the NWCRG where this work has been initiated last year.

Cheers,

  Ali and Vincent

> De: [email-masked]
> Objet: New Version Notification for draft-roca-tsvwg-fecframev2-02.txt
> Date: 6 octobre 2016 15:33:26 UTC+2
> À: "Vincent Roca" <[email-masked]>, "Ali Begen" <[email-masked]>
> 
> 
> A new version of I-D, draft-roca-tsvwg-fecframev2-02.txt
> has been successfully submitted by Vincent Roca and posted to the
> IETF repository.
> 
> Name:		draft-roca-tsvwg-fecframev2
> Revision:	02
> Title:		Forward Error Correction (FEC) Framework version 2
> Document date:	2016-10-06
> Group:		Individual Submission
> Pages:		51
> URL:            https://www.ietf.org/internet-drafts/draft-roca-tsvwg-fecframev2-02.txt
> Status:         https://datatracker.ietf.org/doc/draft-roca-tsvwg-fecframev2/
> Htmlized:       https://tools.ietf.org/html/draft-roca-tsvwg-fecframev2-02
> Diff:           https://www.ietf.org/rfcdiff?url2=draft-roca-tsvwg-fecframev2-02
> 
> Abstract:
>   This document describes a framework for using Forward Error
>   Correction (FEC) codes with applications in public and private IP
>   networks to provide protection against packet loss.  The framework
>   supports applying FEC to arbitrary packet flows over unreliable
>   transport and is primarily intended for real-time, or streaming,
>   media.  This framework can be used to define Content Delivery
>   Protocols that provide FEC for streaming media delivery or other
>   packet flows.  Content Delivery Protocols defined using this
>   framework can support any FEC scheme (and associated FEC codes) that
>   is compliant with various requirements defined in this document.
>   Thus, Content Delivery Protocols can be defined that are not specific
>   to a particular FEC scheme, and FEC schemes can be defined that are
>   not specific to a particular Content Delivery Protocol.  The first
>   version of FECFRAME defined in RFC 6363 was restricted to block FEC
>   codes.  The FECFRAME version 2 defined in this document adds the
>   possibility to use Convolutional FEC Codes in addition to Block FEC
>   Codes.  It obsoltes RFC 6363.
> 
> 
> 
> 
> Please note that it may take a couple of minutes from the time of submission
> until the htmlized version and diff are available at tools.ietf.org.
> 
> The IETF Secretariat
>